gRPC C#
gRPC C#
Namespaces
Grpc.Core
Metadata.Entry Structure
Entry Constructor
Metadata.Entry Constructor (String, Byte[])
Metadata.Entry Constructor (String, String)

Metadata Entry Constructor (String, Byte )

Initializes a new instance of the Metadata
Entry struct with a binary value.

Namespace: Grpc.Core
Assembly: Grpc.Core (in Grpc.Core.dll) Version: 0.7.0.0
Syntax
C#
VB
C++
F#
Copy

    public Entry(
    	string key,
    	byte[] valueBytes
    )

    Public Sub New (
    	key As String,
    	valueBytes As Byte()
    )

    public:
    Entry(
    	String^ key,
    	array<unsigned char>^ valueBytes
    )

    new :
            key : string *
            valueBytes : byte[] -> Entry

#### Parameters

key
  Type: System
  String
  Metadata key, needs to have suffix indicating a binary valued metadata entry.
valueBytes
  Type:
  System
  Byte
  Value bytes.

See Also

#### Reference

Metadata
Entry Structure
Metadata
Entry Overload
Grpc.Core Namespace